Subject: Re: [PATCH v1 net] net/mlx4: Avoid wrong virtual mappings

From: Sinan Kaya <[email-masked]>
Date: Sun, 1 May 2016 16:12:13 -0400

On 5/1/2016 4:07 PM, David Miller wrote:
> From: Sinan Kaya <[email-masked]>
> Date: Sun, 1 May 2016 11:43:54 -0400
> 
>> Can we get this queued for 4.7? Mellanox with arm64 has been broken over 1.5 years.
> 
> Can you not quote an entire huge patch just to say something like
> this?
> 
> I'm waiting for the people involved all to give feedback.
> 
> If it's been broken for more than a year, waiting for a few more
> days to get the fix right is not going to be the end of the world.
> 

Sure, I thought there is a common consensus. The original patch posted was from Christoph Hellwig.

This patch does the same thing like Christoph Hellwig proposed + a fallback approach for the
infiniband case where fragmented buffers are still supported.

The patch is actually a copy/paste from the MLX5 driver into MLX4.

I'm OK with waiitng for a few more days. I just wanted to make sure that this patch
is moving in the right direction.

If not, let's list the open issues. 

-- 
Sinan Kaya
Qualcomm Technologies, Inc. on behalf of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum, a Linux Foundation Collaborative Project
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html